#ifndef CMWCALIWTSINGLE_H
#define CMWCALIWTSINGLE_H

#include "cmwidget.h"
#include "cmpoint.h"
namespace Ui {
class CMWCaliWtSingle;
}

class CMWCaliWorkTableOrginalSingle : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWCaliWorkTableOrginalSingle(QWidget *parent = 0);
    ~CMWCaliWorkTableOrginalSingle();
public:
    void MFresh();
    void MApply();
    int32_t m_iWTID;
    int32_t m_iCHID;
    CMPointd axis1;
    CMPointd axis2;
private slots:
    void on_pushButton_firstPt_clicked();

    void on_pushButton_secondPt_clicked();

    void on_pushButton_clock90_clicked();

    void on_pushButton_countclock90_clicked();

    void on_pushButton_offsetxy_setcur_clicked();

    void on_pushButton_offsetxy_Cali_clicked();

    void on_pushButton_offsetXYMoveTo_clicked();


private:
    Ui::CMWCaliWtSingle *ui;

};

#endif // CMWCALIWTSINGLE_H
